<?php
class ControllerSaleTableKot extends Controller {
	private $error = array();

	public function index() {
		
		
		$this->load->language('sale/order');
		$this->load->model('sale/sale_order');
		
		$this->document->setTitle("Live Tables");

		
		$data['bar_categories'] = $this->model_sale_sale_order->getCategories('59');
		$data['food_categories'] = $this->model_sale_sale_order->getCategories('60');
		$category_id =array();

		for($i=0; $i<sizeof($data['bar_categories']); $i++){
           array_push($category_id,$data['bar_categories'][$i]['category_id']);
		}
		
		for($i=0; $i<sizeof($data['food_categories']); $i++){
			array_push($category_id,$data['food_categories'][$i]['category_id']);
	
		}

		$category_ids = implode(",",$category_id);
		
		$data['products'] = $this->model_sale_sale_order->getProductsByCategories($category_ids);
		
     	$data['username'] = $this->user->getUserName();
	    $data['user_id'] = $this->user->getId();
		$data['token'] = $this->session->data['token'];
		
		$data['taken_table_ids'] = $this->model_sale_sale_order->getTakenTables();
		$data['waiting_table_ids'] = $this->model_sale_sale_order->getWaitingTables();
		
	    
		$data['open_kots']= $open_kots = $this->model_sale_sale_order->getOpenKots();
		
		
		
		$open_kot_ids = array();
		
		for($i=0; $i < sizeof($open_kots); $i++){
			$open_kot_ids[$i]= $open_kots[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids)>0){
		$open_kot_ids = implode(",",$open_kot_ids);
			}else{
		$open_kot_ids = 0;
				}
			
		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);
		
		$data['token'] = $this->session->data['token'];
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('sale/table_kot', $data));


		}
		
	
		public function save_table_order(){
			
			$this->load->model('sale/sale_order');
			
			$table_order_id = $this->model_sale_sale_order->insertTableOrder($this->request->post);
	
			print_r($table_order_id);
			
			}	
			
		
		
		public function save_kot(){
			$this->load->model('sale/sale_order');
			
			$kot_id = $this->model_sale_sale_order->insertKot($this->request->post);
			$table_order_id = $this->model_sale_sale_order->mapTableToKot($this->request->post['table_order_id'],$kot_id);
			
			$data['last_kot']=$this->model_sale_sale_order->getLastKot();
			$data['last_kot_products']=$this->model_sale_sale_order->getLastKotProducts($data['last_kot'][0]['kot_id']);
			print_r(json_encode($data));
			
	
			}	

		public function update_screen(){
			$this->load->model('sale/sale_order');
		
		}
		
		public function cancel_kot(){
			$this->load->model('sale/sale_order');
			$this->model_sale_sale_order->cancelKot($_GET['kot_id'],$_GET['remark'],$_GET['food_prep'],$_GET['date'],$_GET['time']);
		}

		public function close_table_order(){
			$table_order_id = $_GET['table_order_id'];
			$this->load->model('sale/sale_order');
			$this->model_sale_sale_order->closeTableOrder($table_order_id);
		}

		public function cancel_kot_product(){
			$kot_to_product_id = $_GET['kot_to_product_id'];
			$this->load->model('sale/sale_order');
			$this->model_sale_sale_order->cancelKotProduct($kot_to_product_id);
		}

		public function update_table_id(){
			$table_order_id = $_POST['table_order_id'];
			$move_to_table_id = $_POST['destination_table_id'];
			$this->load->model('sale/sale_order');
			$this->model_sale_sale_order->updateTableId($table_order_id, $move_to_table_id);
		}

		public function merge_tables(){
			$table_order_id_s = $_POST['table_order_id_s'];
			$table_order_id_d = $_POST['table_order_id_d'];
			$time = $_POST['time'];
		
			$this->load->model('sale/sale_order');
			$this->model_sale_sale_order->mergeTables($table_order_id_s, $table_order_id_d, $time);
		}


		public function refresh_live_table(){
		$this->load->model('sale/sale_order');
		
		$data['taken_table_ids'] = $this->model_sale_sale_order->getTakenTables();
		$data['waiting_table_ids'] = $this->model_sale_sale_order->getWaitingTables();
		
	    
		$data['open_kots']= $open_kots = $this->model_sale_sale_order->getOpenKots();
		
		
		
		$open_kot_ids = array();
		
		for($i=0; $i < sizeof($open_kots); $i++){
			$open_kot_ids[$i]= $open_kots[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids)>0){
		$open_kot_ids = implode(",",$open_kot_ids);
			}else{
		$open_kot_ids = 0;
				}
			
		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);
		print_r(json_encode($data));

		}


}
?>