<?php
class ControllerSalePos extends Controller

	{
	private $error = array();
	public function index()
		{
		$this->load->language('sale/order');
		$this->load->model('sale/sale_order');

		// golbal data

		$data['username'] = $this->user->getUserName();
		$data['user_id'] = $this->user->getId();
		$data['payment_methods'] = $this->model_sale_sale_order->getPaymentMethods();
		$data['waiters'] = $this->model_sale_sale_order->getWaiters();
		$data['order_sources'] = $this->model_sale_sale_order->getOrderSources();
		$data['customer'] = $this->model_sale_sale_order->getSaleCustomer();

		// table order data

		$data['taken_table_ids'] = $this->model_sale_sale_order->getTakenTables();
		$data['open_kots'] = $open_kots = $this->model_sale_sale_order->getOpenKots();
		$data['table_bills_waiting'] = $this->model_sale_sale_order->tableBillsWaiting();

		$data['takeaway_order_id_waiting'] = $this->model_sale_sale_order->takeawayOrderWaiting();
		$last_bill_number = $this->model_sale_sale_order->getLastBillNumber();
		
		if(sizeof($last_bill_number)>0){
		 $data['last_bill_number'] = $last_bill_number[0]['bill_number'];
		} else{
			$data['last_bill_number'] = "20190";
		}

		$open_kot_ids = array();
		for ($i = 0; $i < sizeof($open_kots); $i++)
			{
			$open_kot_ids[$i] = $open_kots[$i]['kot_id'];
			}

		if (sizeof($open_kot_ids) > 0)
			{
			$open_kot_ids = implode(",", $open_kot_ids);
			}
		  else
			{
			$open_kot_ids = 0;
			}

		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);

		// /takeaway kot data/////

		$data['open_kots_swiggy'] = $open_kots_swiggy = $this->model_sale_sale_order->getOpenSwiggyKots();
		$data['open_kots_takeaway'] = $open_kots_takeaway = $this->model_sale_sale_order->getOpenTakeawayKots();
		$data['open_kots_home'] = $open_kots_home = $this->model_sale_sale_order->getOpenHomeKots();
		$open_kot_ids_swiggy = array();
		$open_kot_ids_takeaway = array();
		$open_kot_ids_home = array();
		for ($i = 0; $i < sizeof($open_kots_swiggy); $i++)
			{
			$open_kot_ids_swiggy[$i] = $open_kots_swiggy[$i]['kot_id'];
			}

		for ($i = 0; $i < sizeof($open_kots_takeaway); $i++)
			{
			$open_kot_ids_takeaway[$i] = $open_kots_takeaway[$i]['kot_id'];
			}

		for ($i = 0; $i < sizeof($open_kots_home); $i++)
			{
			$open_kot_ids_home[$i] = $open_kots_home[$i]['kot_id'];
			}

		if (sizeof($open_kot_ids_takeaway) > 0)
			{
			$open_kot_ids_takeaway = implode(",", $open_kot_ids_takeaway);
			}
		  else
			{
			$open_kot_ids_takeaway = 0;
			}

		if (sizeof($open_kot_ids_home) > 0)
			{
			$open_kot_ids_home = implode(",", $open_kot_ids_home);
			}
		  else
			{
			$open_kot_ids_home = 0;
			}

		if (sizeof($open_kot_ids_swiggy) > 0)
			{
			$open_kot_ids_swiggy = implode(",", $open_kot_ids_swiggy);
			}
		  else
			{
			$open_kot_ids_swiggy = 0;
			}

		$data['kot_data_swiggy'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_swiggy);
		$data['kot_data_takeaway'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_takeaway);
		$data['kot_data_home'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_home);
		$this->document->setTitle("Point of Sale");
		$data['token'] = $this->session->data['token'];
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');
		$this->response->setOutput($this->load->view('sale/pos', $data));
		}
	
	public function refresh_pos_screen(){
		$this->load->model('sale/sale_order');

		$data['taken_table_ids'] = $this->model_sale_sale_order->getTakenTables();
		$data['open_kots'] = $open_kots = $this->model_sale_sale_order->getOpenKots();
		$data['table_bills_waiting'] = $this->model_sale_sale_order->tableBillsWaiting();
     	$data['takeaway_order_id_waiting'] = $this->model_sale_sale_order->takeawayOrderWaiting();
		
	
		$open_kot_ids = array();
		for ($i = 0; $i < sizeof($open_kots); $i++)
			{
			$open_kot_ids[$i] = $open_kots[$i]['kot_id'];
			}

		if (sizeof($open_kot_ids) > 0)
			{
			$open_kot_ids = implode(",", $open_kot_ids);
			}
		  else
			{
			$open_kot_ids = 0;
			}

		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);

		// /takeaway kot data/////

		$data['open_kots_swiggy'] = $open_kots_swiggy = $this->model_sale_sale_order->getOpenSwiggyKots();
		$data['open_kots_takeaway'] = $open_kots_takeaway = $this->model_sale_sale_order->getOpenTakeawayKots();
		$data['open_kots_home'] = $open_kots_home = $this->model_sale_sale_order->getOpenHomeKots();
		$open_kot_ids_swiggy = array();
		$open_kot_ids_takeaway = array();
		$open_kot_ids_home = array();
		for ($i = 0; $i < sizeof($open_kots_swiggy); $i++)
			{
			$open_kot_ids_swiggy[$i] = $open_kots_swiggy[$i]['kot_id'];
			}

		for ($i = 0; $i < sizeof($open_kots_takeaway); $i++)
			{
			$open_kot_ids_takeaway[$i] = $open_kots_takeaway[$i]['kot_id'];
			}

		for ($i = 0; $i < sizeof($open_kots_home); $i++)
			{
			$open_kot_ids_home[$i] = $open_kots_home[$i]['kot_id'];
			}

		if (sizeof($open_kot_ids_takeaway) > 0)
			{
			$open_kot_ids_takeaway = implode(",", $open_kot_ids_takeaway);
			}
		  else
			{
			$open_kot_ids_takeaway = 0;
			}

		if (sizeof($open_kot_ids_home) > 0)
			{
			$open_kot_ids_home = implode(",", $open_kot_ids_home);
			}
		  else
			{
			$open_kot_ids_home = 0;
			}

		if (sizeof($open_kot_ids_swiggy) > 0)
			{
			$open_kot_ids_swiggy = implode(",", $open_kot_ids_swiggy);
			}
		  else
			{
			$open_kot_ids_swiggy = 0;
			}

		$data['kot_data_swiggy'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_swiggy);
		$data['kot_data_takeaway'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_takeaway);
		$data['kot_data_home'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_home);
		print_r(json_encode($data));

	}	

	public function update_payment()
		{
		$payment_method = $_GET['payment_method'];
		$bill_remark = $_GET['bill_remark'];
		$table_order_id = $_GET['table_order_id'];
		$takeaway_order_id = $_GET['takeaway_order_id'];
		
		$time = $_GET['time'];
		
		$this->load->model('sale/sale_order');
		
		if($takeaway_order_id!=0){
			$this->model_sale_sale_order->updatePaymentTakeaway($payment_method, $bill_remark, $takeaway_order_id, $time);
		}else{
			$this->model_sale_sale_order->updatePayment($payment_method, $bill_remark, $table_order_id, $time);
   		}
		}

	public function save_bill()
		{
		$this->load->model('sale/sale_order');

		// add customer

		$customer_id = $this->request->post['customer_id'];
		$customer_name = $this->request->post['customer_name'];
		$customer_email = $this->request->post['customer_email'];
		$customer_phone = $this->request->post['customer_number'];
		if ($customer_id == 0 || $customer_id == '')
			{
			if (!empty($customer_name) && !empty($customer_phone))
				{
				$customer_id = $this->model_sale_sale_order->addCustomer($customer_name, $customer_email, $customer_phone);
				}
			}

		$data['customer_id'] = $customer_id;
		$data['erase_flag'] = $this->request->post['erase_flag'];
		$data['served_by'] = $this->request->post['waiter_id'];
		$data['created_by'] = $this->request->post['created_by'];
		$data['date'] = $this->request->post['date'];
		$data['time'] = $this->request->post['time'];
		
		$data['grand_total'] = $this->request->post['grand_total'];
		$data['sub_total'] = $this->request->post['sub_total'];
		$data['tax_total'] = $this->request->post['tax_total'];
	
		$data['bill_number'] = $this->request->post['bill_number'];
	
		$data['service_charges'] = $this->request->post['service_charges'];
		$data['discount'] = $this->request->post['discount'];
		$data['payment_method'] = $this->request->post['payment_method'];
		$data['table_id'] = $this->request->post['table_id'];
		$data['table_order_id'] = $this->request->post['table_order_id'];
		$data['takeaway_order_id'] = $this->request->post['takeaway_order_id'];
		$data['order_source'] = $this->request->post['order_source'];
		$data['product_id'] = $this->request->post['product_id'];
		$data['product_name'] = $this->request->post['product_name'];
		$data['product_price'] = $this->request->post['product_price'];
		$data['product_qty'] = $this->request->post['product_qty'];
		$data['cancel_status'] = $this->request->post['cancel_status'];
		$data['category_id'] = $this->request->post['category_id'];
		$data['product_tax'] = $this->request->post['product_tax'];

		if ($this->request->post['table_id'] != 0 || !empty($this->request->post['table_id']))
			{
			$this->model_sale_sale_order->save_table_bill($data);
			}
		  else
			{
			$this->model_sale_sale_order->save_takeaway_bill($data);
			}

		//	return

		}
	}

?>