<?php
class ModelReportPurchase extends Model {
	
	
	public function getPurchased($data = array(), $category_id) {
		$sql = "SELECT * from `" . DB_PREFIX . "purchase` WHERE purchase_category = '".$category_id."'";

		
		if (!empty($data['filter_date_start'])) {
			$sql .= " AND DATE(date) >= '" . $this->db->escape($data['filter_date_start']) . "'";
		}

		if (!empty($data['filter_date_end'])) {
			$sql .= " AND DATE(date) <= '" . $this->db->escape($data['filter_date_end']) . "'";
		}

	
		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}

		$query = $this->db->query($sql);

		return $query->rows;
	}

	public function getTotalPurchased($data, $category_id) {
		$sql = "SELECT COUNT(DISTINCT purchase_id) AS total FROM `" . DB_PREFIX . "purchase` WHERE purchase_category = '".$category_id."'";

		if (!empty($data['filter_date_start'])) {
			$sql .= " AND DATE(date) >= '" . $this->db->escape($data['filter_date_start']) . "'";
		}

		if (!empty($data['filter_date_end'])) {
			$sql .= " AND DATE(date) <= '" . $this->db->escape($data['filter_date_end']) . "'";
		}

		$query = $this->db->query($sql);

		return $query->row['total'];
	}
	
	public function getPurchaseProducts($purchase_id){
		$sql = "SELECT * from oc_purchase_product WHERE purchase_id = '".$purchase_id."' ";
		$query = $this->db->query($sql);
		return $query->rows;
		}

	
	//consumption data
	public function getConsumption($data = array(), $category_id) {
		$sql = "SELECT * from `" . DB_PREFIX . "stock_consumption` WHERE stock_category = '".$category_id."'";

		
		if (!empty($data['filter_date_start'])) {
			$sql .= " AND DATE(date) >= '" . $this->db->escape($data['filter_date_start']) . "'";
		}

		if (!empty($data['filter_date_end'])) {
			$sql .= " AND DATE(date) <= '" . $this->db->escape($data['filter_date_end']) . "'";
		}

	
		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}

		$query = $this->db->query($sql);

		return $query->rows;
	}

	public function getTotalConsumption($data, $category_id) {
		$sql = "SELECT COUNT(DISTINCT stock_id) AS total FROM `" . DB_PREFIX . "stock_consumption` WHERE stock_category = '".$category_id."'";

		if (!empty($data['filter_date_start'])) {
			$sql .= " AND DATE(date) >= '" . $this->db->escape($data['filter_date_start']) . "'";
		}

		if (!empty($data['filter_date_end'])) {
			$sql .= " AND DATE(date) <= '" . $this->db->escape($data['filter_date_end']) . "'";
		}

		$query = $this->db->query($sql);

		return $query->row['total'];
	}
	
	public function getConsumptionProducts($stock_id){
		$sql = "SELECT * from oc_stock_consumption_product WHERE stock_id = '".$stock_id."' ";
		$query = $this->db->query($sql);
		return $query->rows;
		}
	

}
