<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
<style>
.table-responsive h3{font-size:14px; border-bottom:thin solid #ccc; padding-bottom:15px; margin-bottom:15px}
</style>

  <div class="page-header">
    <div class="container-fluid">
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-bar-chart"></i> <?php echo $text_list; ?></h3>
      </div>
      <div class="panel-body">
        <div class="well">
          <div class="row">
            <div class="col-sm-4">
              <div class="form-group">
                <label class="control-label" for="input-date-start"><?php echo $entry_date_start; ?></label>
                <div class="input-group date">
                  <input type="text" name="filter_date_start" value="<?php echo $filter_date_start; ?>" placeholder="<?php echo $entry_date_start; ?>" data-date-format="YYYY-MM-DD" id="input-date-start" class="form-control" />
                  <span class="input-group-btn">
                  <button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
                  </span></div>
              </div>
             </div> 
            <div class="col-sm-4"> 
              <div class="form-group">
                <label class="control-label" for="input-date-end"><?php echo $entry_date_end; ?></label>
                <div class="input-group date">
                  <input type="text" name="filter_date_end" value="<?php echo $filter_date_end; ?>" placeholder="<?php echo $entry_date_end; ?>" data-date-format="YYYY-MM-DD" id="input-date-end" class="form-control" />
                  <span class="input-group-btn">
                  <button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
                  </span></div>
              </div>
            </div>
            <div class="col-sm-4">
              <button type="button" id="button-filter" class="btn btn-primary pull-right"><i class="fa fa-filter"></i> <?php echo $button_filter; ?></button>
            </div>
          </div>
        </div>
        
        <div class="row">
         <div class="col-sm-6">
            <div class="table-responsive">
            <h3>Table Orders</h3>
          <table class="table table-bordered">
            <thead>
              <tr>
                <td class="text-left"><?php echo $column_date_start; ?></td>
                <td class="text-left"><?php echo $column_date_end; ?></td>
                <td class="text-right"><?php echo $column_orders; ?></td>
                <td class="text-right">Tax Total</td>
              </tr>
            </thead>
            <tbody>
              <?php if ($table_orders) { ?>
              <tr>
                <td class="text-left"><?php echo $date_start; ?></td>
                <td class="text-left"><?php echo $date_end; ?></td>
                <td class="text-right"><?php echo $table_orders['orders']; ?></td>
                <td class="text-right"><?php echo 'INR '. number_format($table_orders['tax_total']); ?></td>
              </tr>
              <?php } else { ?>
              <tr>
                <td class="text-center" colspan="6"><?php echo $text_no_results; ?></td>
              </tr>
              <?php } ?>
            </tbody>
          </table>
        </div>  
         </div>
         
         <div class="col-sm-6">
            <div class="table-responsive">
          <h3>Takeway Orders</h3>
      
          <table class="table table-bordered">
            <thead>
              <tr>
                <td class="text-left"><?php echo $column_date_start; ?></td>
                <td class="text-left"><?php echo $column_date_end; ?></td>
                <td class="text-right"><?php echo $column_orders; ?></td>
            <td class="text-right">Tax Total</td>
                  </tr>
            </thead>
            <tbody>
              <?php if ($takeaway_orders) { ?>
              <tr>
                <td class="text-left"><?php echo $date_start; ?></td>
                <td class="text-left"><?php echo $date_end; ?></td>
                <td class="text-right"><?php echo $takeaway_orders['orders']; ?></td>
                <td class="text-right"><?php echo 'INR '. number_format($takeaway_orders['tax_total']); ?></td>
              </tr>
              <?php } else { ?>
              <tr>
                <td class="text-center" colspan="6"><?php echo $text_no_results; ?></td>
              </tr>
              <?php } ?>
            </tbody>
          </table>
        </div>  
         </div>
        </div>
   
   
    <div class="row">
         <div class="col-sm-6">
            <div class="table-responsive">
            <h3>Online Orders</h3>
          <table class="table table-bordered">
            <thead>
              <tr>
                <td class="text-left"><?php echo $column_date_start; ?></td>
                <td class="text-left"><?php echo $column_date_end; ?></td>
                <td class="text-right"><?php echo $column_orders; ?></td>
                  <td class="text-right">Tax Total</td>
            </tr>
            </thead>
            <tbody>
              <?php if ($online_orders) { ?>
              <tr>
                <td class="text-left"><?php echo $date_start; ?></td>
                <td class="text-left"><?php echo $date_end; ?></td>
                <td class="text-right"><?php echo $online_orders['orders']; ?></td>
                <td class="text-right"><?php echo 'INR '. number_format($online_orders['tax_total']); ?></td>
              </tr>
              <?php } else { ?>
              <tr>
                <td class="text-center" colspan="6"><?php echo $text_no_results; ?></td>
              </tr>
              <?php } ?>
            </tbody>
          </table>
        </div>  
         </div>
         
         <div class="col-sm-6">
            <div class="table-responsive">
          <h3>Home Delivery Orders</h3>
      
          <table class="table table-bordered">
            <thead>
              <tr>
                <td class="text-left"><?php echo $column_date_start; ?></td>
                <td class="text-left"><?php echo $column_date_end; ?></td>
                <td class="text-right"><?php echo $column_orders; ?></td>
                 <td class="text-right">Tax Total</td>
             </tr>
            </thead>
            <tbody>
              <?php if ($home_orders) { ?>
              <tr>
                <td class="text-left"><?php echo $date_start; ?></td>
                <td class="text-left"><?php echo $date_end; ?></td>
                <td class="text-right"><?php echo $home_orders['orders']; ?></td>
                <td class="text-right"><?php echo 'INR '. number_format($home_orders['tax_total']); ?></td>
              </tr>
              <?php } else { ?>
              <tr>
                <td class="text-center" colspan="6"><?php echo $text_no_results; ?></td>
              </tr>
              <?php } ?>
            </tbody>
          </table>
        </div>  
         </div>
         
         
        </div>
        
       
        <div class="row">
          <div class="col-sm-6 text-left"><?php echo $pagination; ?></div>
          <div class="col-sm-6 text-right"><?php echo $results; ?></div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript"><!--
$('#button-filter').on('click', function() {
	url = 'index.php?route=report/sale_tax&token=<?php echo $token; ?>';
	
	var filter_date_start = $('input[name=\'filter_date_start\']').val();
	
	if (filter_date_start) {
		url += '&filter_date_start=' + encodeURIComponent(filter_date_start);
	}

	var filter_date_end = $('input[name=\'filter_date_end\']').val();
	
	if (filter_date_end) {
		url += '&filter_date_end=' + encodeURIComponent(filter_date_end);
	}
		
	var filter_group = $('select[name=\'filter_group\']').val();
	
	if (filter_group) {
		url += '&filter_group=' + encodeURIComponent(filter_group);
	}
	
	var filter_order_status_id = $('select[name=\'filter_order_status_id\']').val();
	
	if (filter_order_status_id != 0) {
		url += '&filter_order_status_id=' + encodeURIComponent(filter_order_status_id);
	}	

	location = url;
});
//--></script> 
  <script type="text/javascript"><!--
$('.date').datetimepicker({
	pickTime: false
});
//--></script></div>
<?php echo $footer; ?>